{

    // 巡逻ability验收

    "AbilityName" : "Claymore_WaypathTest",

    "AbilityStacking": "Unique",



    "AbilityMixins":

    [

        {

            "$type" : "MoleMole.ListenPatrolMoveMixin",

            "WayPathName" : "Way1",

            "WayPointNames" : 

            [

                "Waypoint1",

                "Waypoint2",

                "Waypoint3",

                "Waypoint4",

                "Waypoint5",

                "Waypoint6",

                "Waypoint7",

                "Waypoint8",

                "Waypoint9",

                "Waypoint10",

                "Waypoint11",

            ], 

            //OnEnter进入路点时，执行下列操作

            "OnEnter" :

            [

                {

                    "$type": "MoleMole.AttachEffect",//附加特效

                    "EffectPattern": "Eff_Buff_AttackUpLarge_Start",

                    "Target": "Self",

                    "AttachEffectPosRot" : 

                    {

                        "CoordsOption" : "ReferTarget",

                        "TargetOption" : 

                        {

                            "$type" : "MoleMole.ConfigPosRotReferTarget",

                            "OffsetReferTarget" : "Self",

                            "AttachPoint" : "HeadPoint",

                            "IsUseAttachPointPos" : true,

                            "IsUseAttachPointRotation" : true,

                        },

                        "Offset" : 

                        {

                            "PositionOffset" : {"x":0, "y":1.5, "z":0},

                            "AngleOffset" : {"x":0.0, "y":0.0, "z":0.0},

                            "IsUseRotationY" : true,

                            "IsUseRotationXZ" : true,

                        },

                    },

                },

            ],

            //OnExit离开路点时，执行下列操作

            "OnExit" :

            [

                {

                    "$type": "MoleMole.AttachEffect",//附加特效

                    "EffectPattern": "Eff_Buff_DefenseUpLarge_Start",

                    "Target": "Self",

                    "AttachEffectPosRot" : 

                    {

                        "CoordsOption" : "ReferTarget",

                        "TargetOption" : 

                        {

                            "$type" : "MoleMole.ConfigPosRotReferTarget",

                            "OffsetReferTarget" : "Self",

                            "AttachPoint" : "HeadPoint",

                            "IsUseAttachPointPos" : true,

                            "IsUseAttachPointRotation" : true,

                        },

                        "Offset" : 

                        {

                            "PositionOffset" : {"x":0, "y":1.5, "z":0},

                            "AngleOffset" : {"x":0.0, "y":0.0, "z":0.0},

                            "IsUseRotationY" : true,

                            "IsUseRotationXZ" : true,

                        },

                    },

                },

            ],

        }

    ]

}